#if !defined(AFX_OPTMCACHE_H__DE6E113E_788A_4B27_A065_1BFFDF1F61DF__INCLUDED_)
#define AFX_OPTMCACHE_H__DE6E113E_788A_4B27_A065_1BFFDF1F61DF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptMCache.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COptMCache dialog

class COptMCache : public CDialog
{
// Construction
public:
	COptMCache(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COptMCache)
	enum { IDD = IDD_OPT_MCACHE };
	CEdit	m_BaseName;
	CButton	m_UseBase;
	CButton	m_Overwrite;
	CButton	m_RecDir;
	//}}AFX_DATA


	void SaveOptions();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptMCache)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptMCache)
	virtual BOOL OnInitDialog();
	afx_msg void OnBrowseMcache();
	afx_msg void OnMcacheUsename();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTMCACHE_H__DE6E113E_788A_4B27_A065_1BFFDF1F61DF__INCLUDED_)
